body, html {
    height: 100%;
}

.sidebar {
    height: 100%;
    width: 18%;
    background-color: #333;
    position: fixed;
    left: 0;
    top: 0;
    padding-top: 20px;
    transition: 1s;
}


.sidebar a {
    padding-top: 15px;
    padding-bottom: 15px;
    display: block;
    background-color: #333;
    transition: 1s;
    
}

.sidebar a:hover{
    background-color: #636363;

}

.sidebar a {
    color: white;
    text-decoration: none;
    
}



.toggle-btn {
    display: none;
    cursor: pointer;
    position: fixed;
    left: 10px;
    top: 10px;
    z-index: 999;
}

.toggle-btn span {
    display: block;
    width: 30px;
    height: 5px;
    background-color: #333;
    margin: 5px 0;
    transition: transform 0.3s ease;
}

.toggle-btn.active span:nth-child(1) {
    transform: translateY(10px) rotate(-45deg);
}

.toggle-btn.active span:nth-child(2) {
    opacity: 0;
}

.toggle-btn.active span:nth-child(3) {
    transform: translateY(-10px) rotate(45deg);
}

@media screen and (max-width: 768px) {
    .sidebar {
        width: 100%;
        display: none;
    }

    .sidebar a {
        padding: 5px;
    }

    .toggle-btn {
        display: block;
    }

    .content {
        margin-left: 9%;
    }
}
